<bugID>1178163<Summary>[Control Center] file:// URIs and some internal pages show red "Connection is not secure"</Summary><Description>We need to figure out what we want to do with file:// URIs and internal ones such as "about:robots" or pages added by add-ons. Showing the red "Connection is not secure" label seems a little too much.

What could we say for local (file://, jar://) pages? Probably just a default-colored text that it's an internal/local page?

What's the security model for file:// pages? I probably could convince a user to open an .html file and do weird stuff there, maybe an &lt;iframe&gt; with Amazon in it. But I could also just try to convince the user to open an .exe file then?</Description></bugID>